JasperELResolver (Apache Tomcat 8.5.84 API Documentation)

Package org.apache.jasper.el

## Class JasperELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - javax.el.CompositeELResolver
    - - org.apache.jasper.el.JasperELResolver

-     public class JasperELResolver
      extends CompositeELResolver

  Jasper-specific CompositeELResolver that optimizes certain functions to avoid unnecessary resolver calls.

- - ### Field Summary

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JasperELResolver​(java.util.List<ELResolver> appResolvers, ELResolver streamResolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(ELResolver elResolver)` |
    `java.lang.Object` | `getValue​(ELContext context, java.lang.Object base, java.lang.Object property)` | Obtain the value of the given property on the given object using the given context.
    `java.lang.Object` | `invoke​(ELContext context, java.lang.Object base, java.lang.Object method, java.lang.Class<?>[] paramTypes, java.lang.Object[] params)` | Invokes a method on the the given object.

    - ### Methods inherited from class javax.el.CompositeELResolver

      `convertToType, getCommonPropertyType, getFeatureDescriptors, getType, isReadOnly, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JasperELResolver

          public JasperELResolver​(java.util.List<ELResolver> appResolvers,
                                  ELResolver streamResolver)

  - ### Method Detail

    - #### add

          public void add​(ELResolver elResolver)

      Overrides:
        `add` in class `CompositeELResolver`

    - #### getValue

          public java.lang.Object getValue​(ELContext context,
                                           java.lang.Object base,
                                           java.lang.Object property)
                                    throws java.lang.NullPointerException,
                                           PropertyNotFoundException,
                                           ELException

      Description copied from class: `javax.el.ELResolver`
      Obtain the value of the given property on the given object using the given context.
      Overrides:
        `getValue` in class `CompositeELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be returned
      Returns:
        the value of the provided property
      Throws:
        `java.lang.NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If the base/property combination provided to the resolver is one that the resolver can handle but no match was found or a match was found but was not readable
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### invoke

          public java.lang.Object invoke​(ELContext context,
                                         java.lang.Object base,
                                         java.lang.Object method,
                                         java.lang.Class<?>[] paramTypes,
                                         java.lang.Object[] params)

      Description copied from class: `javax.el.ELResolver`
      Invokes a method on the the given object. This default implementation always returns `null`.
      Overrides:
        `invoke` in class `CompositeELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the method is to be found
        `method` - The method to invoke
        `paramTypes` - The types of the parameters of the method to invoke
        `params` - The parameters with which to invoke the method
      Returns:
        Always `null`